%{?nodejs_find_provides_and_requires}

%global packagename extsprintf
%global enable_tests 1
# The packaged doesn't really contain any tests

Name:		nodejs-extsprintf
Version:	1.3.0
Release:	1%{?dist}
Summary:	Extended POSIX-style sprintf

License:	MIT
URL:		https://github.com/davepacheco/node-extsprintf.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Extended POSIX-style sprintf


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.conf lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
